Bug 978862 - [Admin] [Docs] Migrate ovirt-engine-setup and AIO plugin to otopi
[Admin] [Docs] Migrate ovirt-engine-setup and AIO plugin to otopi
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Zac Dover
ecs-bugs
http://www.ovirt.org/Features/Otopi_I...
integration
: FutureFeature
Depends On: 975668
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 04:51 EDT by Tim Hildred
Modified: 2015-09-22 09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 975668
Environment:
Last Closed: 2014-04-05 02:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14612 None None None Never

  None (edit)
Description Tim Hildred 2013-06-27 04:51:38 EDT
Any impact should be limited to changes to the Upgrades/Updates content that result from a new way of updating. 

+++ This bug was initially created as a clone of Bug #975668 +++

May impact:
* Install
* Admin
* Quick Start?


+++ This bug was initially created as a clone of Bug #967508 +++

cloned for RHEV-M 3.3 tracking

+++ This bug was initially created as a clone of Bug #911191 +++

engine-setup, engine-cleanup, engine-upgrade and the AIO plugin should be migrated to otopi.

--- Additional comment from Alon Bar-Lev on 2013-05-09 07:52:32 EDT ---

packaging: setup: re-write using otopi

OUTLINE

We introduce a complete rewrite of ovirt-engine setup, which includes
engine-setup, engine-upgrade, engine-cleanup.

The new implementation is installed side-by-side, user may have a choice
which implementation to use.

COMPATIBILITY

Implementation are incompatible, once setup using legacy, upgrade and
cleanup will not work using the new implementation and vise versa.
Answer file is not compatible between implementations.

Implementation is not feature complete, setup is is almost complete,
cleanup needs more work to clean files that where partially modified,
currently, setup is not able to upgrade non-new implementation setup.

MAJOR FEATURES

Fully support development environment installation.

Up until now, developers had maintained parallel environment, manually
customized, partial featured.
Now, developers may setup product much like production using unprivileged
user, custom location and custom database. For more information refer to
README.developer file.

Platform independent implementation

The new implementation can/should be able to run in multiple
distributions, setting up valid engine environment. So far tested
fedora, rhel, centos, gentoo, ubuntu.

Database access

Split between host provisioning and database setup.

Host provisioning is the part setup can configure the database package on
host to be able to serve the application. The provisioning phase is now
completely optional and is supported only at legacy distributions.

Database setup is the part that a schema is created in existing
database. This enables the dba to provide ovirt administration
unprivileged database user and database for his use.

Implementation

Pluggable, mission centric, consistent, modern, customizable implementation.
Reuse the otopi infrastructure that is also used for host-deploy, and
future reuse of setup for dwh and reports components.

Change-Id: Id587977be496f979f692ee5fd06a4e264d3f9197
Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=911191
Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>
Signed-off-by: Sandro Bonazzola <sbonazzo@redhat.com>
Signed-off-by: Alex Lourie <alourie@redhat.com>

--- Additional comment from Alon Bar-Lev on 2013-05-10 05:19:35 EDT ---

During implementation, the pki configuration were moved from vdc_options to /etc/ovirt-engine/engine.conf[.d/*].

These are determine by setup and should not be changed, so there is no reason to store them in database, and handle setup/upgrade that are database related.

Another reason was that the root application (/) should serve some of these resources, and having root access database is undesired.

---

vdc_options (removed)

CACertificatePath
CABaseDirectory
CertificateFileName
keystoreUrl
keystorePass
TruststoreUrl
TruststorePass
SignScriptName
CertAlias

engine.conf (added)

ENIGNE_PKI=/etc/pki/ovirt-engine
ENGINE_PKI_CA=${ENGINE_PKI}/ca.pem
ENGINE_PKI_ENGINE_CERT=${ENGINE_PKI}/certs/engine.cer
ENGINE_PKI_TRUST_STORE=${ENGINE_PKI}/.truststore
ENGINE_PKI_TRUST_STORE_PASSWORD=
ENGINE_PKI_ENGINE_STORE=${ENGINE_PKI}/keys/engine.p12
ENGINE_PKI_ENGINE_STORE_PASSWORD=
ENGINE_PKI_ENGINE_STORE_ALIAS=1
Comment 1 Zac Dover 2013-08-04 19:47:59 EDT
Red Hat Enterprise Virtualization hosts are now deployed using oVirt Task
Oriented Pluggable Installer/Implementation, or otopi.

The otopi package provides deployment infrastructure required by Red Hat
Enterprise Virtualization Manager to deploy new hosts.

The package contains python library and Java library used by the Red Hat
Enterprise Virtualization Manager and ovirt-host-deploy packages. These
libraries are the core deployment logic.

The Red Hat Enterprise Virtualization Manager and optionally other projects that
require host deployment such as OpenStack use this package.

* The host deployment application previously used by Red Hat Enterprise
Virtualization has been replaced by oVirt Task Oriented Pluggable
Installer/Implementation, otopi, a standalone plugin based installation
framework used to set up system components.
The plugin-nature of otopi makes it simple to add new installation
functionality without the complexity of the state and transaction
management. (BZ#885721)

This package is required to deploy hosts.
Comment 2 Zac Dover 2013-12-10 00:34:07 EST
I'll take this one.
Comment 3 Zac Dover 2014-04-05 02:07:10 EDT
This bug was clearly cloned from an engineering bug, and was probably cloned out of a desire for throughness with a mind toward better-to-have-it-and-not-need-it-than-need-it-and-not-have-it. Our Installation Guide 3.4 procedures explain OTOPI (indeed, they assume the existence and use of OTOPI), so I am closing this NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.